function _extends() {
  _extends = Object.assign ? Object.assign.bind() : function(target) {
    for (var i = 1; i < arguments.length; i++) {
      var source = arguments[i];
      for (var key in source) {
        if (Object.prototype.hasOwnProperty.call(source, key)) {
          target[key] = source[key];
        }
      }
    }
    return target;
  };
  return _extends.apply(this, arguments);
}
import { renderless, api } from "@xmweb-ui/vue-renderless/date-picker-mobile/vue";
import { defineComponent, $prefix, $props, setup as _setup } from "@xmweb-ui/vue-common";
import Button from "@xmweb-ui/vue-button";
import TimePickerMobile from "@xmweb-ui/vue-time-picker-mobile";
import ActionSheet from "@xmweb-ui/vue-action-sheet";
function normalizeComponent(scriptExports, render, staticRenderFns, functionalTemplate, injectStyles, scopeId, moduleIdentifier, shadowMode) {
  var options = typeof scriptExports === "function" ? scriptExports.options : scriptExports;
  if (render) {
    options.render = render;
    options.staticRenderFns = staticRenderFns;
    options._compiled = true;
  }
  if (functionalTemplate) {
    options.functional = true;
  }
  if (scopeId) {
    options._scopeId = "data-v-" + scopeId;
  }
  var hook;
  if (moduleIdentifier) {
    hook = function hook2(context) {
      context = context || // cached call
      this.$vnode && this.$vnode.ssrContext || // stateful
      this.parent && this.parent.$vnode && this.parent.$vnode.ssrContext;
      if (!context && typeof __VUE_SSR_CONTEXT__ !== "undefined") {
        context = __VUE_SSR_CONTEXT__;
      }
      if (injectStyles) {
        injectStyles.call(this, context);
      }
      if (context && context._registeredComponents) {
        context._registeredComponents.add(moduleIdentifier);
      }
    };
    options._ssrRegister = hook;
  } else if (injectStyles) {
    hook = shadowMode ? function() {
      injectStyles.call(this, (options.functional ? this.parent : this).$root.$options.shadowRoot);
    } : injectStyles;
  }
  if (hook) {
    if (options.functional) {
      options._injectStyles = hook;
      var originalRender = options.render;
      options.render = function renderWithStyleInjection(h, context) {
        hook.call(context);
        return originalRender(h, context);
      };
    } else {
      var existing = options.beforeCreate;
      options.beforeCreate = existing ? [].concat(existing, hook) : [hook];
    }
  }
  return {
    exports: scriptExports,
    options
  };
}

var render$1 = function render$12() {
  var _vm = this;
  var _h = _vm.$createElement;
  var _c = _vm._self._c || _h;
  return _c("div", {
    staticClass: "w-full w-full flex"
  }, [_vm._t("default", function() {
    return [_vm._v(_vm._s(_vm.data.day))];
  }, {
    "data": _vm.data
  })], 2);
};
var staticRenderFns$1 = [];
var __vue2_script$1 = {
  inheritAttrs: false,
  components: {},
  props: {
    data: Object
  }
};
var __cssModules$1 = {};
var __component__$1 = /* @__PURE__ */ normalizeComponent(__vue2_script$1, render$1, staticRenderFns$1, false, __vue2_injectStyles$1, null, null, null);
function __vue2_injectStyles$1(context) {
  for (var o in __cssModules$1) {
    this[o] = __cssModules$1[o];
  }
}
var Option = /* @__PURE__ */ function() {
  return __component__$1.exports;
}();
var __vue2_script = defineComponent({
  name: $prefix + "DatePickerMobile",
  components: {
    XmOption: Option,
    XmActionSheet: ActionSheet,
    XmTimePickerMobile: TimePickerMobile,
    XmButton: Button
  },
  props: _extends({}, $props, {
    modelValue: [Number, String, Array, Date],
    visible: {
      type: Boolean,
      default: false
    },
    title: String,
    type: {
      type: String,
      default: "date"
    }
  }),
  setup: function setup(props, context) {
    return _setup({
      props,
      context,
      renderless,
      api,
      mono: true
    });
  }
});
var render = function render2() {
  var _vm = this;
  var _h = _vm.$createElement;
  var _c = _vm._self._c || _h;
  return _c("div", {
    attrs: {
      "data-tag": "xm-date-picker-mobile"
    }
  }, [_c("xm-action-sheet", {
    attrs: {
      "title": _vm.title,
      "custom-class": "h-full max-h-[100%] rounded-none",
      "visible": _vm.visible
    },
    on: {
      "update:visible": function updateVisible($event) {
        return _vm.$emit("update:visible", $event);
      }
    }
  }, [_c("div", {
    class: ["flex flex-col flex-auto h-full"],
    attrs: {
      "data-tag": "xm-date-picker-inner"
    }
  }, [_c("div", {
    staticClass: "flex leading-6 py-2.5 px-4 text-sm items-center text-center border-b border-color-bg-4 shadow-sm",
    attrs: {
      "data-tag": "date-picker-header"
    }
  }, _vm._l(7, function(item, index) {
    return _c("div", {
      key: index,
      staticClass: "flex-1"
    }, [_vm._v(" " + _vm._s(_vm.t("ui.calendarBar.week." + index)) + " ")]);
  }), 0), _c("div", {
    ref: "datePickerBody",
    staticClass: "flex-auto overflow-auto px-4 scrollbar-size-0",
    attrs: {
      "data-tag": "date-picker-body"
    }
  }, _vm._l(_vm.state.months, function(yearMonth) {
    return _c("div", {
      key: yearMonth,
      staticClass: "mt-4"
    }, [_c("div", {
      staticClass: "text-xl leading-7"
    }, [_vm._v(_vm._s(yearMonth.replace("/", "年") + "月"))]), _c("div", {
      staticClass: "text-center leading-9 text-xs font-medium"
    }, _vm._l(_vm.getWeeksByMonth(yearMonth), function(item, week) {
      return _c("div", {
        key: week,
        class: ["flex mt-2"]
      }, _vm._l(7, function(item2, index) {
        return _c("div", {
          key: index,
          class: ["flex-1 h-9 cursor-pointer", {
            "text-color-text-placeholder": index === 0 || index === 6
          }],
          on: {
            "click": function click($event) {
              $event.stopPropagation();
              return _vm.selectOption({
                yearMonth,
                index: index + week * 7
              });
            }
          }
        }, [_c("xm-option", {
          attrs: {
            "data": _vm.getDate({
              yearMonth,
              index: index + week * 7
            })
          },
          scopedSlots: _vm._u([{
            key: "default",
            fn: function fn(_ref) {
              var data = _ref.data;
              return [_c("div", {
                class: ["flex-1", {
                  "bg-color-info-primary-subtler": ["end", "inner"].includes(_vm.getSelectedPosition(data.date)) && _vm.state.date.length === 2
                }]
              }), _c("div", {
                class: ["w-9 h-9", {
                  "bg-color-info-primary-subtler": ["inner"].includes(_vm.getSelectedPosition(data.date))
                }, {
                  "bg-color-brand text-white": ["start", "end"].includes(_vm.getSelectedPosition(data.date))
                }]
              }, [_vm._t("default", function() {
                return [_vm._v(" " + _vm._s(data.day) + " ")];
              }, {
                "data": data
              })], 2), _c("div", {
                class: ["flex-1", {
                  "bg-color-info-primary-subtler": ["start", "inner"].includes(_vm.getSelectedPosition(data.date)) && _vm.state.date.length === 2
                }]
              })];
            }
          }], null, true)
        })], 1);
      }), 0);
    }), 0)]);
  }), 0), _c("div", {
    staticClass: "flex flex-col items-center justify-center p-4 border-t border-color-bg-4 shadow-sm",
    attrs: {
      "data-tag": "date-picker-footer"
    }
  }, [["datetimerange", "daterange"].includes(_vm.type) && _vm.state.date.length ? _c("div", {
    staticClass: "w-full",
    attrs: {
      "data-tag": "rang-box"
    }
  }, [_c("div", {
    staticClass: "w-full flex mb-4 leading-6 text-base text-center"
  }, [_c("div", {
    staticClass: "min-w-[8rem]"
  }, [_vm._v(_vm._s(_vm.getFormatDate(_vm.state.date[0], "年", "月", "日")))]), _c("div", {
    staticClass: "flex-auto min-w-[1rem]"
  }, [["datetimerange"].includes(_vm.type) ? _c("div", {
    staticClass: "h-9 h-9 border-l-0.5 inline-block rotate-45 relative top-6 border-color-bg-2"
  }) : _vm._e()]), _c("div", {
    staticClass: "min-w-[8rem]"
  }, [_vm.state.btnDisabled ? _c("span", {
    staticClass: "text-color-icon-placeholder"
  }, [_vm._v("结束时间")]) : _c("span", [_vm._v(_vm._s(_vm.getFormatDate(_vm.state.date[1], "年", "月", "日")))])])]), _vm.type === "datetimerange" ? _c("div", {
    staticClass: "w-full h-9 flex mb-4 leading-9 text-base text-center"
  }, [_c("div", {
    staticClass: "w-32 bg-color-bg-2",
    on: {
      "click": function click($event) {
        $event.stopPropagation();
        return _vm.timeToggle(0);
      }
    }
  }, [_vm._v(_vm._s(_vm.state.timeList[0].join(":")))]), _c("div", {
    staticClass: "flex-auto min-w-[1rem]"
  }), _c("div", {
    staticClass: "w-32 bg-color-bg-2",
    on: {
      "click": function click($event) {
        $event.stopPropagation();
        return _vm.timeToggle(1);
      }
    }
  }, [_vm._v(_vm._s(_vm.state.timeList[1].join(":")))])]) : _vm._e()]) : _vm._e(), ["datetime"].includes(_vm.type) && _vm.state.date ? _c("div", {
    staticClass: "w-full",
    attrs: {
      "data-tag": "datetime-box"
    }
  }, [_c("div", {
    staticClass: "w-full flex mb-4 leading-6 text-base text-center"
  }, [_c("div", {
    staticClass: "min-w-[8rem]"
  }, [_vm._v(_vm._s(_vm.getFormatDate(_vm.state.date, "年", "月", "日")))]), _c("div", {
    staticClass: "flex-auto min-w-[1rem]"
  }), _c("div", {
    staticClass: "w-32 bg-color-bg-2",
    on: {
      "click": function click($event) {
        $event.stopPropagation();
        return _vm.timeToggle(0);
      }
    }
  }, [_vm._v(_vm._s(_vm.state.timeList[0].join(":")))])])]) : _vm._e(), _c("div", {
    staticClass: "w-full text-center"
  }, [_c("xm-button", {
    attrs: {
      "xm_mode": "mobile-first",
      "button-class": "w-full",
      "disabled": _vm.state.btnDisabled,
      "type": "primary",
      "size": "medium",
      "reset-time": 0
    },
    on: {
      "click": _vm.confirm
    }
  }, [_vm._v(" " + _vm._s(_vm.t("ui.button.confirm")) + " ")])], 1)])])]), _c("xm-time-picker-mobile", {
    attrs: {
      "title": "时间选择",
      "visible": _vm.state.timeVisible
    },
    on: {
      "update:visible": function updateVisible($event) {
        _vm.state.timeVisible = $event;
      },
      "confirm": _vm.timeConfirm
    },
    model: {
      value: _vm.state.time,
      callback: function callback($$v) {
        _vm.$set(_vm.state, "time", $$v);
      },
      expression: "state.time"
    }
  })], 1);
};
var staticRenderFns = [];
var __cssModules = {};
var __component__ = /* @__PURE__ */ normalizeComponent(__vue2_script, render, staticRenderFns, false, __vue2_injectStyles, null, null, null);
function __vue2_injectStyles(context) {
  for (var o in __cssModules) {
    this[o] = __cssModules[o];
  }
}
var DatePickerMobile = /* @__PURE__ */ function() {
  return __component__.exports;
}();
var version = "2.8.0";
DatePickerMobile.model = {
  prop: "modelValue",
  event: "update:modelValue"
};
DatePickerMobile.install = function(Vue) {
  Vue.component(DatePickerMobile.name, DatePickerMobile);
};
DatePickerMobile.version = version;
export {
  DatePickerMobile as default
};
